> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml post /wms/products
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/products:
    post:
      tags:
        - wms
        - Products
      summary: Create Product
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: post_wms_create_product
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatewmsProductInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsCreateProductResponse'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CreatewmsProductInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/CreateProductSchema--Base__Schema--'
        - $ref: >-
            #/components/schemas/CreatewmsProduct--BlueBox__-_IDrive__Fulfillment_---
        - $ref: '#/components/schemas/CreatewmsProduct--CartonCloud--'
        - $ref: >-
            #/components/schemas/CreatewmsProduct--Cin7__Core__-_Dear__Systems_---
        - $ref: '#/components/schemas/CreatewmsProduct--Deposco--'
        - $ref: '#/components/schemas/CreatewmsProduct--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/CreatewmsProduct--Flexport__-_Deliverr_---'
        - $ref: '#/components/schemas/CreatewmsProduct--I-Fulfilment--'
        - $ref: '#/components/schemas/CreatewmsProduct--Infoplus--'
        - $ref: '#/components/schemas/CreatewmsProduct--Cart.com__-_Jazz__Central_---'
        - $ref: '#/components/schemas/CreatewmsProduct--Linnworks--'
        - $ref: '#/components/schemas/CreatewmsProduct--Quickbox__-_LogicPod_---'
        - $ref: '#/components/schemas/CreatewmsProduct--Logiwa__IO--'
        - $ref: '#/components/schemas/CreatewmsProduct--MasonHub--'
        - $ref: '#/components/schemas/CreatewmsProduct--Nimble--'
        - $ref: '#/components/schemas/CreatewmsProduct--Ongoing__WMS--'
        - $ref: '#/components/schemas/CreatewmsProduct--Portless--'
        - $ref: '#/components/schemas/CreatewmsProduct--WMS__Sandbox--'
        - $ref: '#/components/schemas/CreatewmsProduct--ShipBob--'
        - $ref: '#/components/schemas/CreatewmsProduct--Shipedge--'
        - $ref: '#/components/schemas/CreatewmsProduct--Shipfusion--'
        - $ref: '#/components/schemas/CreatewmsProduct--ShipHero--'
        - $ref: '#/components/schemas/CreatewmsProduct--ShipMonk--'
        - $ref: '#/components/schemas/CreatewmsProduct--ShipStream--'
        - $ref: '#/components/schemas/CreatewmsProduct--Shipwire--'
        - $ref: '#/components/schemas/CreatewmsProduct--SKUSavvy--'
        - $ref: >-
            #/components/schemas/CreatewmsProduct--Linnworks__Core__-_SKUVault_---
        - $ref: '#/components/schemas/CreatewmsProduct--Unleashed--'
        - $ref: '#/components/schemas/CreatewmsProduct--VeraCore--'
        - $ref: '#/components/schemas/CreatewmsProduct--Warehance--'
        - $ref: '#/components/schemas/CreatewmsProduct--Whiplash__-_Ryder_---'
      title: CreatewmsProductInputSchema
    wmsCreateProductResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsProductApiItemSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsCreateProductResponse
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CreateProductSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
      required:
        - gtin
        - measurements
        - name
        - sku
      additionalProperties: false
      title: Base Schema
    CreatewmsProduct--BlueBox__-_IDrive__Fulfillment_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsbluebox'
        price:
          type: number
          description: Price of the product
          example: 0
      required:
        - gtin
        - name
        - sku
      additionalProperties: false
      title: BlueBox (IDrive Fulfillment)
    CreatewmsProduct--CartonCloud--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        type:
          type: string
          description: Product type defined per tenant (e.g. 'FROZEN', 'DRY GOODS')
        barcode:
          type: string
          description: Product barcode
        description:
          type: string
          description: Full product description
        length:
          type: number
          description: Product length
          example: 0
        width:
          type: number
          description: Product width
          example: 0
        height:
          type: number
          description: Product height
          example: 0
        country_of_origin:
          type: string
          description: Country of origin
      required:
        - name
        - sku
        - type
      additionalProperties: false
      title: CartonCloud
    CreatewmsProduct--Cin7__Core__-_Dear__Systems_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsdear-systems'
            - type: 'null'
        costing_method:
          type: string
          enum:
            - FIFO
            - Special - Batch
            - Special - Serial Number
            - FIFO - Serial Number
            - FIFO - Batch
            - FEFO - Batch
            - FEFO - Serial Number
          description: Costing method for the product.
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - costing_method
        - gtin
        - name
        - sku
      additionalProperties: false
      title: Cin7 Core (Dear Systems)
    CreatewmsProduct--Deposco--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsdeposco'
            - type: 'null'
        active:
          type: boolean
          default: true
          description: Whether the product is active, defaults to True.
          example: true
      required:
        - name
        - sku
      additionalProperties: false
      title: Deposco
    CreatewmsProduct--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
      required:
        - name
        - sku
      additionalProperties: false
      title: Extensiv (3PL Central)
    CreatewmsProduct--Flexport__-_Deliverr_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          maxLength: 255
          description: name
          example: name
        sku:
          type: string
          maxLength: 255
          description: sku
          example: sku
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsflexport'
        country_of_origin:
          type: string
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type: string
          pattern: ^[0-9]{10}$
          description: The harmonized HS code of the product.
          example: '123456'
        customs_value:
          type: number
          description: >-
            The customs value of the product in USD. Required when providing
            customs information.
          example: 0
        customs_description:
          type: string
          maxLength: 255
          description: >-
            The customs description of the product. Required when providing
            customs information.
      required:
        - name
        - sku
      additionalProperties: false
      title: Flexport (Deliverr)
    CreatewmsProduct--I-Fulfilment--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          pattern: ^\d{3,20}$
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        brand_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: The brand for the product.
        channel_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: The channel for the product.
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsi-fulfilment'
        quantity:
          type: integer
          default: 1
          description: DOQ quantity.
          example: 0
        shippable:
          type: boolean
          default: true
          description: Whether this DOQ is shippable.
          example: true
        perishable:
          type: boolean
          default: false
          description: Whether the product is perishable.
          example: true
        organic:
          type: boolean
          default: false
          description: Whether the product is organic.
          example: true
        dangerous:
          type: boolean
          default: false
          description: Whether the product is dangerous.
          example: true
        dutiable:
          type: boolean
          default: false
          description: Whether the product is dutiable.
          example: true
        hygiene:
          type: boolean
          default: false
          description: Whether the product is for hygiene.
          example: true
        battery:
          type: boolean
          default: false
          description: Whether the product contains a battery.
          example: true
        fragile:
          type: boolean
          default: false
          description: Whether the product is fragile.
          example: true
        what_is_it:
          type: string
          description: A description of what the product is.
        made_of:
          type: string
          description: What the product is made of.
        used_for:
          type: string
          description: What the product is used for.
        country_of_origin:
          type: string
          default: US
          description: The country of origin of the product.
          example: USA
        customs_code_id:
          type: integer
          description: The ID of the customs code for the product.
          example: 0
      required:
        - brand_id
        - channel_id
        - customs_code_id
        - gtin
        - made_of
        - measurements
        - name
        - sku
        - used_for
        - what_is_it
      additionalProperties: false
      title: I-Fulfilment
    CreatewmsProduct--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        warehouse_customer_id:
          type: string
          description: ID of the warehouse customer that owns this product
        name:
          type: string
          description: name
          example: name
        status:
          type: string
          enum:
            - Active
            - Deplete
            - Blocked
            - Placeholder
            - Outside Vendor
            - Print on Demand
          description: Status of the product
        lot_mixing_rule:
          type: string
          default: SKU
          enum:
            - Item Receipt
            - Inventory Properties
            - SKU
          description: >-
            Controls how an item can be mixed in a lot. (e.g. items in a
            location all have to have come from the same production lot,
                            items in a location have to have the same SKU but can have different inventory properties).
        item_mixing_rule:
          type: string
          default: Single
          enum:
            - Single
            - Multi
          description: Controls if items can be mixed with other items in a location.
        allocation_rule:
          type: string
          default: Strict
          enum:
            - Strict
            - Weak
            - Labor Optimized
          description: >-
            Rule for allocating inventory to orders. Strict and Weak require a
            lot mixing rule of Item Receipt
        backorder:
          type: boolean
          default: false
          description: Backorders created for this item when it is out of stock
          example: true
        major_group_id:
          type: integer
          description: ID of the major group this item belongs to. Must exist in Infoplus
          example: 0
        subgroup_id:
          type: integer
          description: ID of the subgroup this item belongs to. Must exist in Infoplus
          example: 0
        hazmat:
          type: boolean
          default: false
          description: Whether this item is hazardous
          example: true
        secure:
          type: boolean
          default: false
          description: Control if item must be stored in a secure warehouse
          example: true
        seasonal_item:
          type: boolean
          default: false
          description: >-
            Whether this item expereinces significant differences in usage based
            on time of year
          example: true
        receiving_criteria_scheme_id:
          type: integer
          description: >-
            ID of the receiving criteria scheme this item belongs to. Must exist
            in Infoplus
          example: 0
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsinfoplus'
        price:
          type: number
          description: Price of the product
          example: 0
      required:
        - major_group_id
        - name
        - receiving_criteria_scheme_id
        - sku
        - status
        - subgroup_id
        - warehouse_customer_id
      additionalProperties: false
      title: Infoplus
    CreatewmsProduct--Cart.com__-_Jazz__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        price:
          type: number
          description: The price of the product.
          example: 1
      required:
        - gtin
        - price
        - sku
      additionalProperties: false
      title: Cart.com (Jazz Central)
    CreatewmsProduct--Linnworks--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
        extended_properties:
          type: array
          description: Custom properties to attach to the product
          example:
            - name: Color
              value: Red
              type: Attribute
          items:
            $ref: '#/components/schemas/ExtendedPropertySchema'
        measurements:
          $ref: '#/components/schemas/ProductMeasurementslinnworks'
      required:
        - name
        - sku
      additionalProperties: false
      title: Linnworks
    CreatewmsProduct--Quickbox__-_LogicPod_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        country_of_origin:
          type: string
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type: string
          description: The harmonized HS code of the product.
          example: '123456'
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementslogicpod'
            - type: 'null'
      required:
        - name
        - sku
      additionalProperties: false
      title: Quickbox (LogicPod)
    CreatewmsProduct--Logiwa__IO--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        description:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - description
        - name
        - sku
        - warehouse_customer_id
      additionalProperties: false
      title: Logiwa IO
    CreatewmsProduct--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsmasonhub'
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        description:
          type: string
          description: Description of the product.
        customer_bar_code:
          type: string
          description: Customer provided bar code for this sku.
        brand_name:
          type: string
          description: Brand name for this sku and product.
        category:
          type: string
          description: Product category for this sku.
        sub_category:
          type: string
          description: Product sub category for this sku.
        vendor_brand_code:
          type: string
          description: Vendor provided brand code for identifying this sku.
        customer_brand_code:
          type: string
          description: >-
            Customer provided brand code for identifying this sku. Used on
            packing lists.
        vendor_style:
          type: string
          description: Vendor style code for item identification.
      required:
        - brand_name
        - category
        - customer_bar_code
        - customer_brand_code
        - description
        - measurements
        - name
        - sku
        - sub_category
        - vendor_brand_code
        - vendor_style
      additionalProperties: false
      title: MasonHub
    CreatewmsProduct--Nimble--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: Required.
          example: '123456789'
        vendor_sku:
          type: string
          description: An external vendor SKU
          example: '123456789'
        description:
          type: string
          description: Description of the product
          example: Description
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/NimbleProductMeasurements'
      required:
        - description
        - gtin
        - measurements
      additionalProperties: false
      title: Nimble
    CreatewmsProduct--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - gtin
        - name
        - sku
      additionalProperties: false
      title: Ongoing WMS
    CreatewmsProduct--Portless--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsportless'
      required:
        - name
        - sku
      additionalProperties: false
      title: Portless
    CreatewmsProduct--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: XS-RED-SHIRT
        name:
          type: string
          description: name
          example: XS Red Shirt
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: '012345678905'
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
      required:
        - name
        - sku
      additionalProperties: false
      title: WMS Sandbox
    CreatewmsProduct--ShipBob--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - name
        - sku
      additionalProperties: false
      title: ShipBob
    CreatewmsProduct--Shipedge--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        harmonized_code:
          type: string
          description: The harmonized HS code of the product.
          example: '123456'
        supplier_object:
          $ref: '#/components/schemas/SupplierSchema'
          description: The supplier of the product.
      required:
        - measurements
        - name
        - sku
        - unit_price
      additionalProperties: false
      title: Shipedge
    CreatewmsProduct--Shipfusion--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        measurements:
          anyOf:
            - $ref: '#/components/schemas/ProductMeasurementsshipfusion'
            - type: 'null'
        price:
          type: number
          description: The retail price of the product
          example: 0
      required:
        - name
        - sku
      additionalProperties: false
      title: Shipfusion
    CreatewmsProduct--ShipHero--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        warehouse_id:
          type: string
          description: >-
            Warehouse ID where the product is stored. ShipHero creates a
            WarehouseProduct here alongside the new general Product. Use
            warehouse_ids to seed several warehouses in one call.
        warehouse_ids:
          type: array
          description: >-
            Warehouse IDs to seed the product into (one WarehouseProduct each, 0
            on hand). Use instead of warehouse_id to create the product in
            multiple warehouses in a single call.
          example:
            - warehouse_id_1
            - warehouse_id_2
          items:
            type: string
            description: ''
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshiphero'
      required:
        - name
        - sku
      additionalProperties: false
      title: ShipHero
    CreatewmsProduct--ShipMonk--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        required_packaging:
          type: string
          enum:
            - poly_mailer
            - bubble_mailer
            - box
            - slap_a_label
            - custom
          description: Required level of packaging for the product.
        fragile:
          type: boolean
          description: ''
          example: true
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshipmonk'
        replacement_cost:
          type: number
          description: ''
          example: 0
        customs_declaration_value:
          type: number
          description: ''
          example: 0
        country_of_origin:
          type: string
          description: ISO 3166-1 alpha-2 country code. i.e. US
      required:
        - country_of_origin
        - customs_declaration_value
        - fragile
        - gtin
        - measurements
        - name
        - replacement_cost
        - required_packaging
        - sku
      additionalProperties: false
      title: ShipMonk
    CreatewmsProduct--ShipStream--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshipstream'
      required:
        - measurements
        - name
        - sku
      additionalProperties: false
      title: ShipStream
    CreatewmsProduct--Shipwire--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          minLength: 1
          maxLength: 26
          description: sku
          example: sku
        category:
          type: string
          default: OTHER
          enum:
            - OTHER
            - APPAREL
            - TOYS_SPORTS_HOBBIES
          description: The product category
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          minLength: 12
          maxLength: 12
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsshipwire'
        cost_value:
          type: number
          description: The cost of the product
          example: 0
        retail_value:
          type: number
          description: The retail value of the product
          example: 0
        battery_configuration:
          type: string
          default: NOBATTERY
          enum:
            - NOBATTERY
            - ISBATTERY
            - HASBATTERY
            - HASLOOSEBATTERY
          description: The battery configuration of the product
      required:
        - cost_value
        - measurements
        - name
        - retail_value
        - sku
      additionalProperties: false
      title: Shipwire
    CreatewmsProduct--SKUSavvy--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsskusavvy'
        price:
          type: number
          description: Price of the product
          example: 0
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - gtin
        - measurements
        - name
        - price
        - sku
      additionalProperties: false
      title: SKUSavvy
    CreatewmsProduct--Linnworks__Core__-_SKUVault_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        classification:
          type: string
          description: Classification of the product. Defaults to 'General'
        supplier_object:
          $ref: '#/components/schemas/SupplierSchema'
          description: The supplier of the product.
        brand:
          type: string
          description: Brand name. Defaults to 'Generic'
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsskuvault'
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
      required:
        - measurements
        - sku
      additionalProperties: false
      title: Linnworks Core (SKUVault)
    CreatewmsProduct--Unleashed--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        measurements:
          $ref: '#/components/schemas/ProductMeasurementsunleashed'
      required:
        - name
        - sku
      additionalProperties: false
      title: Unleashed
    CreatewmsProduct--VeraCore--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        name:
          type: string
          description: name
          example: name
        sku:
          type: string
          description: sku
          example: sku
        client_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: The owner of the product.
        product_type:
          type: string
          default: Regular
          enum:
            - Regular
            - Regular Valuable
            - Bulky Valuable
            - Requires Safe
            - Refrigerated
            - Food
            - Pharmaceutical
            - Ink
            - Hazardous Material
            - Fragile
            - Frozen
            - OTC Medications
            - Clean
            - Medical
            - Special Handling
          description: ''
      required:
        - client_id
        - name
        - sku
      additionalProperties: false
      title: VeraCore
    CreatewmsProduct--Warehance--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: name
          example: name
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        unit_price:
          type: number
          description: The price of the product.
          example: 10.99
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        weight:
          type: number
          description: Weight in ounces (oz).
          example: 8
        length:
          type: number
          description: Length in inches (in).
          example: 10
        width:
          type: number
          description: Width in inches (in).
          example: 5
        height:
          type: number
          description: Height in inches (in).
          example: 3
      required:
        - name
        - sku
        - warehouse_customer_id
      additionalProperties: false
      title: Warehance
    CreatewmsProduct--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        sku:
          type: string
          description: sku
          example: sku
        name:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
      required:
        - gtin
        - sku
      additionalProperties: false
      title: Whiplash (Ryder)
    WmsProductApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the product.
          example: product_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the product was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the product was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type:
            - number
            - 'null'
          description: The price of the product.
          example: 10.99
        inventory_items:
          type: array
          description: A list of inventory items associated with the product.
          example:
            - inventory_item_id: id1
              sku: sku1
              unit_quantity: 1
            - inventory_item_id: id2
              sku: sku2
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/ProductInventoryItems'
        is_kit:
          type: boolean
          description: ''
          example: true
        active:
          type: boolean
          description: Whether the product is active.
          example: true
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/ProductSupplier'
            - type: 'null'
        country_of_origin:
          type:
            - string
            - 'null'
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type:
            - string
            - 'null'
          description: The harmonized HS code of the product.
          example: '123456'
        supplier_products:
          type: array
          description: A list of supplier products associated with the product.
          example:
            - supplier_id: id1
              supplier_name: name1
              external_id: ext_id1
              unit_cost: 1
            - supplier_id: id2
              supplier_name: name2
              external_id: ext_id2
              unit_cost: 2.5
          items:
            $ref: '#/components/schemas/ProductSupplierProducts'
        categories:
          type: array
          description: A list of category names associated with the product.
          example:
            - Electronics
            - Accessories
          items:
            type: string
            description: ''
        image_urls:
          type: array
          description: A list of image URLs associated with the product.
          example:
            - https://example.com/image1.jpg
          items:
            type: string
            description: ''
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the product in the external system (WMS/Freight etc).
          example: https://example.com/product/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - categories
        - country_of_origin
        - created_date
        - external_system_url
        - gtin
        - harmonized_code
        - id
        - image_urls
        - inventory_items
        - is_kit
        - name
        - sku
        - supplier_object
        - supplier_products
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unit_price
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsProductApiItemSchema
    ProductMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurements
    ProductMeasurementsbluebox:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsbluebox
    ProductMeasurementsdear-systems:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsdear-systems
    ProductMeasurementsdeposco:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsdeposco
    ProductMeasurementsflexport:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsflexport
    ProductMeasurementsi-fulfilment:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsi-fulfilment
    ProductMeasurementsinfoplus:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsinfoplus
    ExtendedPropertySchema:
      type: object
      properties:
        name:
          type: string
          description: Property name
        value:
          type: string
          description: Property value
        type:
          type: string
          enum:
            - Attribute
            - Channel
            - Compatibility
            - Condition
            - Fulfilment SKU
            - Other
            - Shipping
            - StockItem Label
          description: Property type
      required:
        - name
        - type
        - value
      additionalProperties: false
      title: ExtendedPropertySchema
    ProductMeasurementslinnworks:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementslinnworks
    ProductMeasurementslogicpod:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementslogicpod
    ProductMeasurementsmasonhub:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsmasonhub
    NimbleProductMeasurements:
      type: object
      properties:
        length:
          type: number
          description: Length of the product.
          example: 1
        width:
          type: number
          description: Width of the product.
          example: 1
        height:
          type: number
          description: Height of the product.
          example: 1
        weight:
          type: number
          description: Weight of the product.
          example: 1
        unit:
          type: string
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight_unit:
          type: string
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - unit
        - weight_unit
      additionalProperties: false
      title: NimbleProductMeasurements
    ProductMeasurementsportless:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsportless
    SupplierSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/SupplierId'
        - $ref: '#/components/schemas/SupplierName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/SupplierId'
          name:
            $ref: '#/components/schemas/SupplierName'
      title: SupplierSchema
    ProductMeasurementsshipfusion:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshipfusion
    ProductMeasurementsshiphero:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshiphero
    ProductMeasurementsshipmonk:
      type: object
      properties:
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - weight
        - weight_unit
      additionalProperties: false
      title: ProductMeasurementsshipmonk
    ProductMeasurementsshipstream:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsshipstream
    ProductMeasurementsshipwire:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        units:
          type: string
          default: US
          enum:
            - US
            - METRIC
          description: >-
            The unit of measurement. If US, inches and pounds. If Metric, cm and
            kgs.
      required:
        - height
        - length
        - weight
        - width
      additionalProperties: false
      title: ProductMeasurementsshipwire
    ProductMeasurementsskusavvy:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsskusavvy
    ProductMeasurementsskuvault:
      type: object
      properties:
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - weight
        - weight_unit
      additionalProperties: false
      title: ProductMeasurementsskuvault
    ProductMeasurementsunleashed:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurementsunleashed
    ProductInventoryItems:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: inv_id
        sku:
          type:
            - string
            - 'null'
          description: ''
        unit_quantity:
          type: integer
          description: The number of units of the inventory item in the product.
          example: 0
      required:
        - inventory_item_id
        - sku
        - unit_quantity
      additionalProperties: false
      title: ProductInventoryItems
    ProductSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: ProductSupplier
    ProductSupplierProducts:
      type: object
      properties:
        supplier_id:
          type: string
          description: ID of the supplier.
          example: sup_id
        supplier_name:
          type:
            - string
            - 'null'
          description: Name of the supplier.
          example: sup_name
        external_id:
          type:
            - string
            - 'null'
          description: The external ID of the product from the supplier.
          example: ext_id
        unit_cost:
          type:
            - string
            - 'null'
          description: The cost of the product from the supplier.
          example: unit_cost
      required:
        - external_id
        - supplier_id
        - supplier_name
        - unit_cost
      additionalProperties: false
      title: ProductSupplierProducts
    SupplierId:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierId
    SupplierName:
      type: object
      properties:
        supplier_name:
          type: string
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_name
      additionalProperties: false
      title: SupplierName

````